* {
	box-sizing: border-box;
}

html, body, #root, .App {
	height: 100%;
}

.App {
	height: 100%;
}

main {
	height: 100%;
}

.float-right {
	float: right;
}

.display-block {
	display: block;
}

.display-inline-block {
	display: inline-block;
}

.mobile-display-block {
	display: block
}
@media (min-width: 600px) {
	.mobile-display-block {
		display: unset;
	}
}

.font-weight-normal,
.font-weight-400 {
	font-weight: normal;
}

.font-weight-700 {
	font-weight: 700;
}

.display-none {
	display: none;
}

.text-align-center {
	text-align: center;
}

.text-align-left {
	text-align: left;
}

.text-align-right {
	text-align: right;
}

.page {
	/* padding: 10px; */
	height: 100%;
}

.border-radius-4 {
	border-radius: 4px;
}

.padding-10 {
	padding: 10px;
}

.padding-25 {
	padding: 25px;
}

.padding-0-25 {
	padding: 0 25px;
}

.padding-25-0 {
	padding: 25px 0;
}

.padding-10-25 {
	padding: 10px 25px;
}

.padding-25-10 {
	padding: 25px 10px;
}

.margin-left-10 {
	margin-left: 10px;
}

.margin-right-10 {
	margin-right: 10px;
}

.margin-left-25 {
	margin-left: 25px;
}

.margin-right-25 {
	margin-right: 25px;
}

.margin-top-10 {
	margin-top: 10px;
}

.margin-top-50 {
	margin-top: 50px;
}

.margin-top-25 {
	margin-top: 25px;
}

.margin-bottom-10 {
	margin-bottom: 10px;
}

.margin-bottom-50 {
	margin-bottom: 50px;
}

.margin-bottom-25 {
	margin-bottom: 25px;
}

.margin-0-auto {
	margin: 0 auto;
}

.margin-l-r-auto {
	margin-left: auto;
	margin-right: auto;
}

.flex-center {
	display: flex;
	justify-content: center;
	align-items: center;
}

.flex {
	display: flex;
}

.flex-direction-column {
	flex-direction: column;
}

.align-content-space-between {
	align-content: space-between;
}

.align-items-center {
	align-items: center;
}

.justify-content-space-between {
	justify-content: space-between;
}

.position-relative {
	position: relative;
}

.position-absolute {
	position: absolute;
}

.left-0 {
	left: 0;
}

.left-10 {
	left: 10px;
}
.right-0 {
	right: 0;
}

.right-10 {
	right: 10px;
}

.vertical-center-top-transform {
	top: 50%;
	transform: translateY(-50%);
}

.justify-content-center {
	justify-content: center;
}

.color-black {
	color: black;
}

.link {
	text-decoration: none;
}

.button {
	border-radius: 2px;
	cursor: pointer;
	display: inline-block;
	min-height: 1em;
	outline: 0;
	border: none;
	vertical-align: basline;
	background: #e0e1e2 none;
	color: rgba(0, 0, 0, 0.6);
	padding: .78571429em 1.5em .78571429em;
	/* margin: 0 .25em 0 0; */
	font-weight: 700;
	border-radius: 3px;
	box-shadow: 0 0 0 1px transparent inset,
	0 0 0 0 rgba(34, 36, 38, .15) inset;
	font-size: 1rem;
}

.button.slim {
	padding: calc(0.78571429em / 2) 0.75em;
}

.button.display-block {
	display: block;
}

.button + .button {
	margin-left: 5px;
}

.button.round {
	border-radius: 20px;
}

.button.circle {
	border-radius: 50%;
	width: 43px;
	height: 43px;
	padding: 0;
}

.button.icon-only.x2 {
	font-size: 32px;
	height: 64px;
	width: 64px;
}

.button.icon-only.x1-5 {
	font-size: 24px;
	height: 64px;
	width: 64px;
}

.button.icon-only {
	width: 32px;
	height: 32px;
	font-size: 16px;
	padding: 0;
	line-height: 1.5;
}

.button.icon svg {
	vertical-align: -0.25em;
}

.button.icon-only svg {
	vertical-align: -0.25em;
}

.button.icon-only.x2 svg {
	vertical-align: -0.15em;
}

.button.small {
		padding: 0.25em 0.75em 0.25em;
}

.button.no-bg {
	background: none;
}

.button.square {
	border-radius: 0;
}

.button.primary {
	background-color: #2185d0;
	color: white;
}

.button.no-bg {
	background: none;
}

.button:disabled {
	opacity: 0.3;
	cursor: not-allowed;
}

.button.hollow {
	background-color: none;
	background: none;
}

.button.outline {
	border: 2px #e0e1e2 solid;
	padding: calc(.78571429em - 2px) 1.5em calc(.78571429em - 2px);

}

.or {
	position: relative;
	display: inline-block;
	/* width: 43px;
	height: 43px; */
	margin-bottom: 0;
	padding: .78571429em 1.5em .78571429em;
	/* margin-left: -10px; */
	/* border-radius: 50%; */
	background-color: white;
}
/* .or::before {
	content: 'or';
	position: absolute;
	top: 50%;
	height: 24px;
	width: 24px;
	left: 50%;
	padding: 10px;
	background-color: white;
	border-radius: 50%;
	transform: translate(-50%, -50%);

} */

.select {
	display: block;
	margin: 0 auto;
	/* font-size: 1rem; */
	font-size: 100%;
	/* font-weight: 700; */
	color: rgba(0, 0, 0, 0.6);
	/* background: #e0e1e2 none; */
	border: 1px solid #aaa;
	border-radius: 3px;
	/* padding: .78571429em 1.5em .78571429em; */
}

.font-size-75 {
	font-size: 75%;
}

.select option {
	cursor: pointer;
}


.fade-enter, .fade-appear {
	opacity: 0.01;
}

.fade-enter.fade-enter-active,
.fade-appear.fade-appear-active {
	opacity: 1;
	transition: opacity 500ms ease-in;
}

.fade-leave {
	opacity: 1;
}

.fade-leave.fade-leave-active {
	opacity: 0.01;
	transition: opacity 300ms ease-in;
}

.input-error-message {

}

.message {
	border-radius: 4px;
	/* padding: 1em 1.5em; */
	padding: .67857143em 1em;
	/* padding: 0 1em 0.5em; */
	/* font-size: 0.8em; */
	font-size: 75%;
	margin-bottom: 10px;
	/* fon */
}

.message.info {
	/* border-color: #; */
	border: 1px solid #e7e7e7;
	background-color: #f1f1f1;
	
	/* color: #9f3a38; */
}
.message.warn {
	/* border-color: #; */
	border: 1px solid #e7e7e7;
	background-color: #fff8db;
	box-shadow: 0 0 0 1px #b58105 inset,
		0 0 0 0 transparent;
	color: #b58105;
	
	/* color: #9f3a38; */
}

.message.error {
	border-color: #9f3a38;
	color: #9f3a38;
	/* background-color: #e0b4b4; */
	/* box-shadow: 0 0 0 1px #e0b4b4 inset,
		0 0 0 0 transparent; */
}

.width-100 {
	width: 100%;
}

.page-title {
	margin: 0;
	font-size: 1.25em;
}

.page-subtitle {
	margin: 0;
}

.page-header {
	padding: 5px;
}

.geolocate-icon {
	width: 30px;
	height: 30px;
	display: inline-block;
	padding: 0;
	outline: none;
	border: 0;
	box-sizing: border-box;
	background-color: transparent;
	cursor: pointer;
	vertical-align: -0.65em;

}

.geolocate-icon::before {
	background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg viewBox='0 0 20 20' xmlns='http://www.w3.org/2000/svg' fill='%23333'%3E %3Cpath d='M10 4C9 4 9 5 9 5L9 5.1A5 5 0 0 0 5.1 9L5 9C5 9 4 9 4 10 4 11 5 11 5 11L5.1 11A5 5 0 0 0 9 14.9L9 15C9 15 9 16 10 16 11 16 11 15 11 15L11 14.9A5 5 0 0 0 14.9 11L15 11C15 11 16 11 16 10 16 9 15 9 15 9L14.9 9A5 5 0 0 0 11 5.1L11 5C11 5 11 4 10 4zM10 6.5A3.5 3.5 0 0 1 13.5 10 3.5 3.5 0 0 1 10 13.5 3.5 3.5 0 0 1 6.5 10 3.5 3.5 0 0 1 10 6.5zM10 8.3A1.8 1.8 0 0 0 8.3 10 1.8 1.8 0 0 0 10 11.8 1.8 1.8 0 0 0 11.8 10 1.8 1.8 0 0 0 10 8.3z'/%3E %3C/svg%3E");
	content: "";
	display: inline-block;
	width: 100%;
	height: 100%;
}

.tool-tip-right {

}
.warn.tool-tip-right::after {
	background-color: #fff8db;
	box-shadow: -1px 1px 0 0 #b58105 inset,
	0 0 0 0 transparent;
	color: #b58105;
	border: none;
}

.tool-tip-right::after {
	content: '';
	height: 8px;
	width: 8px;
	transform: rotate(45deg) translateY(-50%);
	position: absolute;
	right: -1px;
	top: calc(50% - 1px);

}

.strong {
	font-weight: 700;
}

.anticon-spin {
	animation: loadingCircle 1s infinite linear;
}

@keyframes loadingCircle {
	from {
		transform: rotate(0);
	}
	to {
		transform: rotate(360deg);
	}
}

.toggle {
	position: relative;
}

.toggle-button > input {
	display: none;
}

.toggle-button {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
}

input:checked + .toggle-button {

}

.ul-bare {
	padding-left: 0;
	list-style: none;
}